Summary: Utilities for dealing with MTD (flash) devices
Name:    mtd-utils
Version: 1.5.2
Release: %mkrel 1
License: GPLv2+
Group:   System/Kernel and hardware
URL:     http://www.linux-mtd.infradead.org/
Source0: ftp://ftp.infradead.org/pub/mtd-utils/%{name}-%{version}.tar.bz2
BuildRequires: zlib-devel 
BuildRequires: libacl-devel 
BuildRequires: liblzo-devel 
BuildRequires: libuuid-devel

%description
The mtd-utils package contains utilities related to handling MTD devices,
and for dealing with FTL, NFTL JFFS2 etc.

%package ubi
Summary: Utilities for dealing with UBI
Group: System/Kernel and hardware

%description ubi
The mtd-utils-ubi package contains utilities for manipulating UBI on 
MTD (flash) devices.

%prep
%setup -q

%build
%if "%{version}" <= "1.5.1"
# FIXME: Package suffers from c11 compatibility issues
# Workaround by appending --std=gnu89 to CFLAGS
# Proper fix would be to fix the source-code
CFLAGS="$RPM_OPT_FLAGS -std=gnu89" make V=1
%else
CFLAGS="$RPM_OPT_FLAGS" make V=1
%endif

%install
make DESTDIR=$RPM_BUILD_ROOT SBINDIR=%{_sbindir} MANDIR=%{_mandir} install

%files
%{_sbindir}/doc*
%{_sbindir}/flash*
%{_sbindir}/ftl*
%{_sbindir}/jffs2dump
%{_sbindir}/jffs2reader
%{_sbindir}/mkfs.jffs2
%{_sbindir}/mtd*
%{_sbindir}/nand*
%{_sbindir}/nftl*
%{_sbindir}/recv_image
%{_sbindir}/rfd*
%{_sbindir}/serve_image
%{_sbindir}/sumtool
%{_sbindir}/mkfs.ubifs
%{_sbindir}/mtdinfo
%{_mandir}/*/*
%doc COPYING device_table.txt


%files ubi
%{_sbindir}/ubi*



%changelog
* Tue May 10 2016 tv <tv> 1.5.2-1.mga6
+ Revision: 1012136
- new release
- new release

* Mon Feb 15 2016 umeabot <umeabot> 1.5.1-3.mga6
+ Revision: 961530
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 1.5.1-2.mga6
+ Revision: 896254
- add -stdc=gnu89 to CFLAGS (Work-around to c11 compatibility)

* Sat Jul 25 2015 blino <blino> 1.5.1-1.mga6
+ Revision: 857208
- 1.5.1
- package new jffs2reader tool

* Wed Oct 15 2014 umeabot <umeabot> 1.4.6-5.mga5
+ Revision: 739749
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.6-4.mga5
+ Revision: 682677
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.6-3.mga4
+ Revision: 518085
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.6-2.mga3
+ Revision: 360467
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 05 2011 doktor5000 <doktor5000> 1.4.6-1.mga2
+ Revision: 138899
- fix Group of -ubi subpackage
- new version 1.4.6
  o bugfix release, fixing "mtdinfo -a" breakage
- fix Group (mga#2136)
- remove useless %%defattr

* Sat Jun 18 2011 tmb <tmb> 1.4.4-1.mga2
+ Revision: 109388
- imported package mtd-utils

